Opened 3 years ago

Closed 3 years ago

#346 closed defect (nochange)

Lucide release 1.4.0 GA causes the RC3 PDF plug-in to stop working.

Reported by: darcio Owned by:
Priority: major Milestone: 1.4.0
Component: Plugin: PDF Version: 1.4.0
Keywords: Cc:

Description

Previous version, 1.4.0 RC3 had the PDF plug-in working successfully. Having upgraded to 1.4.0 GA the PDF plug-in no longer works.

The DLL contents of the directory are:

4-07-17 4:50p 1413425 0 Lucide1.dll
4-07-17 4:49p 200223 0 ludjvu.dll
4-07-17 4:49p 224075 0 ludoc.dll
4-07-17 4:50p 324507 0 lugbm.dll
4-07-17 4:49p 843627 0 lujpeg.dll
4-07-17 4:49p 871229 0 lupplr.dll

The previous version (1.4.0 RC3) used the following DLLs:

10-18-16 5:14p 1408130 0 Lucide1.dll
10-18-16 12:16p 200218 0 ludjvu.dll
10-18-16 12:16p 224070 0 ludoc.dll
10-18-16 12:16p 843618 0 lujpeg.dll
10-18-16 12:16p 871224 0 lupplr.dll

...where the lupplr.dll bldlevel info is:

Signature: @#Arca Noae:1.40#@##1## 2016-09-11 03:24:00 TRESBOPEEP::EN
:US:0:M:@@ lupoppler DLL Copyright (c) 2016 netlabs/Arca Noae 2006-2012 others All rights reserved
Vendor: Arca Noae
Revision: 1.40
Date/Time?: 2016-09-11 03:24:00
Build Machine: TRESBOPEEP
Language Code: EN
Country Code: US
File Version: 1.40
Description: lupoppler DLL Copyright (c) 2016
netlabs/Arca Noae 2006-2012 others All rights

My system has the following RPM poppler packages installed:

poppler-data (0.4.7-2)
poppler-legacy-63 (0.47.0-1)
poppler-legacy-65 (0.49.0-2)

I suspect this is a poppler issue since the symptoms are identical to what I saw during my poppler packge upgrade and was resolved in ticket #341

Change History (3)

comment:1 Changed 3 years ago by Gregg Young

You need to install poppler (0.52.0) from the netlabs-rel repository. We updated to the latest poppler for the final release. You can remove the 2 poppler-legacy packages unless you need them for something else.

comment:2 Changed 3 years ago by darcio

Thank you...that worked great. I un-installed the other two, which were left-overs from the previous Lucide releases.

comment:3 Changed 3 years ago by Lewis Rosenthal

Resolution: nochange
Status: newclosed

Resolving as no change required.

I hope we made the changes clear in the readme. If not, please feel free to open another ticket for that.

Thanks!

Note: See TracTickets for help on using tickets.